package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * The list of telephone number without status.
 */
@ApiModel(description = "The list of telephone number without status.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TelephoneNumberWithoutStatusOpenApiVo   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("prefix")
  private String prefix;

  @JsonProperty("number")
  private String number;

  public TelephoneNumberWithoutStatusOpenApiVo profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Provider profile ID used to bind phone numbers.
   * @return profileId
  */
  @ApiModelProperty(required = true, value = "Provider profile ID used to bind phone numbers.")
  @NotNull


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public TelephoneNumberWithoutStatusOpenApiVo prefix(String prefix) {
    this.prefix = prefix;
    return this;
  }

  /**
   * The prefix of telephone number. When the provider in the provider profile is 1&1 Internet, Vodafone/Arcor, QSC/Q-DSL home, or Telekom, parameter [prefix] is required. When the provider is easybell, parameter [prefix] value is always 0049. In other cases, parameter [prefix] value is always null.
   * @return prefix
  */
  @ApiModelProperty(value = "The prefix of telephone number. When the provider in the provider profile is 1&1 Internet, Vodafone/Arcor, QSC/Q-DSL home, or Telekom, parameter [prefix] is required. When the provider is easybell, parameter [prefix] value is always 0049. In other cases, parameter [prefix] value is always null.")


  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }

  public TelephoneNumberWithoutStatusOpenApiVo number(String number) {
    this.number = number;
    return this;
  }

  /**
   * The number of telephone number.
   * @return number
  */
  @ApiModelProperty(required = true, value = "The number of telephone number.")
  @NotNull


  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TelephoneNumberWithoutStatusOpenApiVo telephoneNumberWithoutStatusOpenApiVo = (TelephoneNumberWithoutStatusOpenApiVo) o;
    return Objects.equals(this.profileId, telephoneNumberWithoutStatusOpenApiVo.profileId) &&
        Objects.equals(this.prefix, telephoneNumberWithoutStatusOpenApiVo.prefix) &&
        Objects.equals(this.number, telephoneNumberWithoutStatusOpenApiVo.number);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, prefix, number);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TelephoneNumberWithoutStatusOpenApiVo {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    prefix: ").append(toIndentedString(prefix)).append("\n");
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

